{
  "name": "functions",
  "description": "Cloud Functions for Firebase",
  "scripts": {
    "serve": "firebase emulators:start --only functions",
    "shell": "firebase functions:shell",
    "start": "npm run shell",
    "deploy": "firebase deploy --only functions",
    "watch": "tsc --watch",
    "seed": "node src/seed/seed.js",
    "emulators": "firebase emulators:start",
    "serve:seeded": "npm run build && firebase emulators:exec --inspect-functions --ui --only functions,firestore,auth,pubsub,storage \"npm run seed\"",
    "logs": "firebase functions:log",
    "setup-firebase": "plop",
    "build": "tsc"
  },
  "engines": {
    "node": "18"
  },
  "main": "lib/index.js",
  "dependencies": {
    "@faker-js/faker": "^8.4.1",
    "@types/node": "^20.8.10",
    "@types/nodemailer": "^6.4.7",
    "@types/randomstring": "^1.1.8",
    "agora-access-token": "^2.0.4",
    "axios": "^1.7.4",
    "faker": "^6.6.6",
    "firebase-admin": "^12.3.1",
    "firebase-functions": "^5.1.0",
    "plop": "^4.0.0",
    "randomstring": "^1.3.0",
    "stripe": "^8.197.0",
     "midtrans-client": "^1.3.1"
  },
  "devDependencies": {
    "firebase-functions-test": "^0.2.0",
    "typescript": "^4.7.4"
  },
  "private": true
}
